Page MenuHomePhabricator

Create fishbowl wiki for West Bengal Wikimedians User Group
Closed, ResolvedPublic

Description

Consensus Link - https://meta.wikimedia.org/w/index.php?title=West_Bengal_Wikimedians/Resolutions/April_2017&oldid=16556158

subdomain: wb.wikimedia.org

Who can read it? : Public
Who can edit it? : Who has an account
Is account creation by approval only, or by anybody clicking on "create an account"? : by approval
Is email notification to be switched on? : yes
Should certain extensions be switched on? : Translate extension (bn/en)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2017, 4:30 AM

Change 347141 had a related patch set uploaded (by Urbanecm):
[operations/dns@master] DNS configuration for wb.wikimedia.org

https://gerrit.wikimedia.org/r/347141

Change 347142 had a related patch set uploaded (by Urbanecm):
[operations/puppet@production] Add wb.wikimedia.org to ServerAlias for wikimedia-chapter Vhost

https://gerrit.wikimedia.org/r/347142

  • What should be the main site language? Bengali?
  • Can you give me a SVG version of the logo you want?
  • What should be the sitename?
  • Do you wish special configuration except the Translate extension? Some namespaces, special usergroups etc.
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Apr 8 2017, 3:39 PM

Do you wish bureaucrat have ability to demote sysops&bureaucrats? Otherwise you'll need to go to stewards as on usual wiki (yes, they have technical ability to modify rights even they don't have account there).

jayantanth added a comment.EditedApr 9 2017, 5:59 AM
  • What should be the main site language? Bengali?
  • Can you give me a SVG version of the logo you want?
  • What should be the sitename?
  • Do you wish special configuration except the Translate extension? Some namespaces, special usergroups etc.

Thank you for this initiatives.

  • We want Bengali as a main language Bengali, so please set language="bn",
  • Please wait for few days. We shall give you the link of our logo.
  • Site name is wbwikimedia
  • Yes please add the Translate extension (bn/en). Add special user group as "Executive Committee Member" and "Member"

Also, please add Me ( Wikimedia global user "jayantanth" and "Bodhisattwa") as sysops&bureaucrats. And bureaucrat have ability to demote sysops&bureaucrats.

Thank you for your reply. But you did not understand me in two questions. Site name isn't a shortcut. For example site name of enwiki is Wikipedia. And regarding the user groups. What should be their permissions?

Usually in account-creation restricted new wikis the requester is the first bureaucrat &sysop and he create accounts for the others.

Change 347214 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Initial configuration for wbwikimedia

https://gerrit.wikimedia.org/r/347214

And bureaucrat have ability to demote sysops&bureaucrats.

Well, I don't think it's a good idea. Small user groups are prone to elect a board of directors or a president, and sometimes, this person will ask drastic changes on who should care about the wiki, but doesn't themselves care about the wiki.

So I'd suggest you use stewards for any requests as a security buffer to avoid "takeover" in the future of your user group.

@Bodhisattwa @jayantanth If you give us swiftly the version of the logo to use, I can create this wiki at 21:00–23:00 UTC as the same time than pa.wikisource.

Change 347141 merged by Dzahn:
[operations/dns@master] DNS configuration for wb.wikimedia.org

https://gerrit.wikimedia.org/r/347141

Change 347142 merged by Dzahn:
[operations/puppet@production] Add wb.wikimedia.org to ServerAlias for wikimedia-chapter Vhost

https://gerrit.wikimedia.org/r/347142

Thank you, that'll do.

@Dereckson I'll create a new patch containing the logo so the wiki can be created today as you offered.

Change 348122 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Add logos for wbwikimedia to the filesystem

https://gerrit.wikimedia.org/r/348122

@jayantanth Sadly we can't create the wiki this evening. We failed to notice that T162513 wasn't completed and this is a required part of the wiki creation process. Sorry!

Change 348122 merged by jenkins-bot:
[operations/mediawiki-config@master] Add logos for wbwikimedia to the filesystem

https://gerrit.wikimedia.org/r/348122

@jayantanth Sadly we can't create the wiki this evening. We failed to notice that T162513 wasn't completed and this is a required part of the wiki creation process. Sorry!

Actually, it seems this operation is blocking only for private wikis, not for public ones, so we're creating it.

Mentioned in SAL (#wikimedia-operations) [2017-04-13T22:47:11Z] <dereckson@tin> Synchronized static/images/project-logos/: Logos for wb.wikimedia (T162510) (duration: 00m 41s)

Change 347214 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for wbwikimedia

https://gerrit.wikimedia.org/r/347214

Mentioned in SAL (#wikimedia-operations) [2017-04-13T22:58:35Z] <dereckson@tin> Synchronized dblists: Create wb.wikimedia.org (T162510) (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T22:59:09Z] <dereckson@tin> rebuilt wikiversions.php and synchronized wikiversions files: Create wb.wikimedia.org (T162510)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T22:59:54Z] <dereckson@tin> Synchronized multiversion/MWMultiVersion.php: Add wb.wikimedia.org to wikimedia.org domains to serve as wikis (T162510) (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:00:08Z] <Dereckson> Create Translate extension tables for wb.wikimedia (T162510)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:01:14Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configurationfor wb.wikimedia.org (T162510) (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-04-13T23:01:59Z] <Dereckson> Create local-multiwrite stores for wb.wikimedia (T162510)

Change 348170 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Interwiki map update

https://gerrit.wikimedia.org/r/348170

Change 348170 merged by jenkins-bot:
[operations/mediawiki-config@master] Interwiki map update

https://gerrit.wikimedia.org/r/348170

Also, please add Me ( Wikimedia global user "jayantanth" and "Bodhisattwa") as sysops&bureaucrats. And bureaucrat have ability to demote sysops&bureaucrats.

I created an account for @jayantanth and sent by mail (using Special:Emailuser) the login and a temporary password.

@Dereckson , Thank for your imitative, Now I can see and edit our User group website. Can it be possible a blog space with in that? as like blog.wb.wikimedia.org?

Thank you again.

What do you mean by blog space? Can you link to similar chapter blog run by WMF so we can determine what do you mean exactly?

What do you mean by blog space? Can you link to similar chapter blog run by WMF so we can determine what do you mean exactly?

Sorry for the late reply. There are few chapter blogs like Wikimedia Finland blog or Wikimedia Denmark blog. But we do like to follow the style of WMF blog.

When I am trying to create to New Account the following error comes....

When I am trying to create to New Account the following error comes....

It may be because recent datacenter switch if this is error which appeared today. Please try to wait some time and if the error persist, tell us!

What do you mean by blog space? Can you link to similar chapter blog run by WMF so we can determine what do you mean exactly?

Sorry for the late reply. There are few chapter blogs like Wikimedia Finland blog or Wikimedia Denmark blog. But we do like to follow the style of WMF blog.

Yeah, there are some chapter blogs. But AFAIK all of them are managed by the chapter directly not by the WMF. The WMF blog is hosted at .wordpress.com. I guess we can create it the same way but I'm not sure...

Yeah, there are some chapter blogs. But AFAIK all of them are managed by the chapter directly not by the WMF.

True.

The WMF blog is hosted at .wordpress.com. I guess we can create it the same way but I'm not sure...

Wordpress is ok for us.

How do you plan to manage account creation requests? If you don't have better ideas, the ConfirmAccount extension is usually the recommended way (for third party wikis at least).

How do you plan to manage account creation requests? If you don't have better ideas, the ConfirmAccount extension is usually the recommended way (for third party wikis at least).

Thanks @ Nemo, Actually there are lots of Extension, I dont know each one. @Urbanecm Can it be possible to add ConfirmAccount extension??

@Urbanecm , any update regarding the blog?

@jayantanth Sadly not. Every extension enabled at some WMF run wiki must pass some kind of review process. For ConfirmAccount this review wasn't completed so it can't be enabled.

@Bodhisattwa I'm not sure. Maybe it is possible that you create a blog at https://wordpress.com/ and we'll define blog.wb.wikimedia.org for you (which you may add to wordpress settings) but I'm not sure. I'll ask others.

For ConfirmAccount, I'd like to share this recent comment:

In T163477#3206277, @Linedwell wrote:

The following solutions have been evocated but aren't viable:

  • temporarily removing the right createaccount from * group => also affects legitimate users
  • temporarly enabling ConfirmAccount extension to prevent the automatic account creation => require bureaucrats to validate manually every new account, not really acceptable

It fully applies here too.

For the blog, what we could do is switch to a Wordpress multisite installation (and maybe we've already that) to create blogs on the fly.

Sumitsurai added a subscriber: Sumitsurai.EditedApr 28 2017, 4:07 PM

For the blog, what we could do is switch to a Wordpress multisite installation (and maybe we've already that) to create blogs on the fly.

Do you mean from the main Wikimedia Blog multisite installation, a new site will be created for us and administrator right for that site would be given to us? If so, I personally think, that would be the best way for us to manage our blog.

Well actually, there isn't such installatin.n We use https://vip.wordpress.com/.

Well actually, there isn't such installatin.n We use https://vip.wordpress.com/.

Is the VIP install multisite? Then it is still possible to create a sub-site for us there, point it to blog.wb.wikimedia.org and grant admin permission for that site only so that we can manage it. Please let us know what you think about this.

We need to identify who is responsible for this installation. At this stage, this seems separate of the initial request, so let's open a new task for this.

Dereckson renamed this task from Create fishbowl wiki including a blog space for West Bengal Wikimedians User Group to Create fishbowl wiki for West Bengal Wikimedians User Group.May 7 2017, 12:48 PM
Dereckson closed this task as Resolved.May 7 2017, 12:58 PM

So the wiki has been created, there is a bureaucrat account, all seems in order.

An important remaining request is the blog, and that will be dealt at T164665, as it's related to a WordPress installation, not to MediaWiki.